#ifndef SENDER_H
#define SENDER_H

#include <list>

#include "sockets.h"
#include "threads.h"

class sender : public threads :: runnable
{
private:
	sockets :: clientSocket* cs_;
	threads :: semaphore workerSemaphore_;
	threads :: mutex listLock_;
	std :: list<char*> messages_;
public:
    sender(sockets :: clientSocket* cs);
	void send(char* msg);
	void operator()(threads :: thread* thd);
    void clear(void);
};

#endif